#ifndef TOBJTARRC_H
#define TOBJTARRC_H


#include "TObject.h"
#include "TArrayC.h"


class TObjTArrC : public TObject
{
private:
	TArrayC * fArray;

public:
	TObjTArrC() : fArray(new TArrayC()) {}
	TObjTArrC(Int_t n) : fArray(new TArrayC(n)) {}
	TObjTArrC(Int_t n, const Char_t * a) : fArray(new TArrayC(n, a)) {}
	TObjTArrC(const TArrayC & a) : fArray(a) {}

	virtual ~TObjTArrC() { delete fArray; }

	Char_t * GetArray() { return fArray->GetArray(); }
	Int_t GetSize() { return fArray->GetSize(); }

ClassDef(TObjTArrC, 1); //TObjTArrC
};


#endif

